Graphviz Issue Tracker
Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001208graphvizOutput Generationpublic2007-11-26 06:032011-04-28 04:03
ReporterMartin Duerst 
Assigned Toerg 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSx86-Windows-XP (probably others,OS Version
Summary0001208: Non-ASCII user name on Windows produces non-wellformed SVG
Description



In its SVG output, grgaphviz includes a comment with the graphviz version
and, after the string "For user:", the name of the user. On Windows systems,
the name of the user can contain non-ASCII characters. Graphviz obtains
the name via an older interface that uses what's on Windows called the
"ANSI" character encoding, which for most language versions of Windows
is not Unicode (and if it were Unicode, it would be UTF-16, not UTF-8).
Graphviz takes the user name, obtained as bytes, and stuffs these bytes
into the SVG output, which is declared to be UTF-8. When a downstream
program reads the SVG, it produces a well-formedness error, because
the user name is not a correct UTF-8 byte sequence. This error can be
fixed rather easily by hand for single files, but is very annoying for
automatic reuse (we encountered it in the context of isaViz). That's why
I have marked it as Major.
Additional Information
The problem is independent of .dot input.
TagsNo tags attached.
AUXILLARY-FILES
DATE-FIXED
FIX-COMMENT 
We fixed the problem locally by creating a new Windows user with an US-ASCII-only name.
But that's not really a fix :-( .
FORMER-ID1239
INPUT-FILE
OUTPUT-FILE
STATUS-COMMENTFixed (27 Nov 2007)
VERSION     2.16
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2011-04-28 04:03 user1 New Issue
2011-04-28 04:03 user1 Assigned To => erg


MantisBT 1.2.5[^]
Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker